<<< Previous | Home | Next >>>

The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008
Copyright © 2001-2008 The IEEE and The Open Group

#### NAME

> seteuid - set effective user ID

#### SYNOPSIS

> ``#include <unistd.h>
> int seteuid(uid_t` uid`);
> ``

#### DESCRIPTION

> If uid is equal to the real user ID or the saved set-user-ID, or if the process has appropriate privileges, seteuid() shall set the effective user ID of the calling process to uid; the real user ID and saved set-user-ID shall remain unchanged.

> The seteuid() function shall not affect the supplementary group list in any way.

#### RETURN VALUE

> Upon successful completion, 0 shall be returned; otherwise, -1 shall be returned and errno set to indicate the error.

#### ERRORS

> The seteuid() function shall fail if:

> [EINVAL]
>   The value of the uid argument is invalid and is not supported by the implementation.
> [EPERM]
>   The process does not have appropriate privileges and uid does not match the real user ID or the saved set-user-ID.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> Refer to the RATIONALE section in setuid .

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> exec , getegid , geteuid , getgid , getuid , setegid , setgid , setregid , setreuid , setuid

> XBD <sys/types.h> , <unistd.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the IEEE P1003.1a draft standard.

> IEEE Std 1003.1-2001/Cor 2-2004, item XSH/TC2/D6/123 is applied, making an editorial correction to the [EPERM] error in the ERRORS section.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2008 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]

<<< Previous | Home | Next >>>